[dpdk-test-report] |WARNING| pw97702 [PATCH 3/4] crypto/qat: move capabilities initialization to spec files

checkpatch at dpdk.org checkpatch at dpdk.org
Wed Sep 1 16:48:26 CEST 2021


Test-Label: checkpatch
Test-Status: WARNING
http://dpdk.org/patch/97702

_coding style issues_


WARNING:TYPO_SPELLING: 'capabilites' may be misspelled - perhaps 'capabilities'?
#53: 
Move capabilites static struct to particular generations into

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#89: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen1.c:59:
+qat_capabilities_info get_capabilties_gen1(

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#102: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen1.c:71:
+	.qat_sym_get_capabilities	= get_capabilties_gen1,

WARNING:MISSING_EOF_NEWLINE: adding a line without newline at end of file
#109: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen1.c:78:
+}

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#137: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen2.c:85:
+qat_capabilities_info get_capabilties_gen2(

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#148: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen2.c:96:
+	.qat_sym_get_capabilities	= get_capabilties_gen2,

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#180: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen3.c:44:
+qat_capabilities_info get_capabilties_gen3(

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#191: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen3.c:55:
+	.qat_sym_get_capabilities	= get_capabilties_gen3,

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#222: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen4.c:85:
+qat_capabilities_info get_capabilties_gen4(

WARNING:TYPO_SPELLING: 'capabilties' may be misspelled - perhaps 'capabilities'?
#234: FILE: drivers/crypto/qat/dev/qat_sym_pmd_gen4.c:97:
+	.qat_sym_get_capabilities	= get_capabilties_gen4,

ERROR:SPACING: need consistent spacing around '*' (ctx:WxV)
#372: FILE: drivers/crypto/qat/qat_sym_pmd.h:35:
+rte_cryptodev_ops *QAT_CRYPTODEV_OPS[];
                   ^

total: 1 errors, 10 warnings, 281 lines checked


More information about the test-report mailing list